## stactools 0.5.3

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

livehtml:
	sphinx-autobuild --watch ../stactools --host 0.0.0.0 ${SOURCEDIR} $(BUILDDIR)/html -d _build/doctrees

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
stactools (0.5.3-4) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.
  * Update lintian overrides.

  [ Antonio Valentino ]
  * debian/control:
    - Mark python-stactools-doc as Multi-Arch: foreign.
    - Drop "Rules-Requires-Root: no", no longer needed.
  * Update dates in d/copyright.
  * New d/python-stactools-doc.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 28 Sep 2025 08:07:39 +0000

stactools (0.5.3-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.

  [ Antonio Valentino ]
  * debian/patches:
    - New 0001-Fix-broken-antimeridian-tests.patch (Closes: #1091130).
  * Drop python-stactools-doc.lintian-overrides, no longer needed.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 23 Dec 2024 11:59:56 +0000

stactools (0.5.3-2) unstable; urgency=medium

  [Bas Couwenberg]
  * Use pybuild --print to get build_dir path.

  [Antonio Valentino]
  * debian/control:
    - Add dependency on python3-stac-validator and python3-stac-check.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 02 Jun 2024 15:04:11 +0000

stactools (0.5.3-1) unstable; urgency=low

  * Initial release (Closes: #1050617).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 27 Aug 2023 10:18:18 +0000

=== debian/control ===
Source: stactools
Section: python
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-numpy3,
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               jupyter <!nodoc>,
               libjs-requirejs <!nodoc>,
               pybuild-plugin-pyproject,
               python3-aiohttp,
               python3-all,
               python3-antimeridian,
               python3-click,
               python3-fsspec,
               python3-ipython <!nodoc>,
               python3-lxml,
               python3-nbsphinx <!nodoc>,
               python3-numpy,
               python3-pydata-sphinx-theme <!nodoc>,
               python3-pyproj,
               python3-pystac,
               python3-pytest <!nocheck>,
               python3-rasterio,
               python3-requests,
               python3-setuptools,
               python3-shapely,
               python3-sphinx <!nodoc>,
               python3-sphinx-autobuild <!nodoc>,
               python3-sphinx-click <!nodoc>,
               python3-stac-check,
               python3-stac-validator
Standards-Version: 4.7.2
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/stac-utils/stactools
Vcs-Browser: https://salsa.debian.org/debian-gis-team/stactools
Vcs-Git: https://salsa.debian.org/debian-gis-team/stactools.git
Description: Command line tool and Python library for working with STAC
 stactools is a high-level command line tool and Python library for
 working with STAC.
 It is based on PySTAC.
 .
 stactools provides a basic command line interface (CLI) and API for
 working with STAC catalogs.

Package: python3-stactools
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Suggests: python-stactools-doc
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: python-stactools-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Suggests: www-browser
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package provides documentation for stactools.

Package: stactools
Section: utils
Architecture: all
Depends: python3-stactools (= ${source:Version}),
         ${python3:Depends},
         ${misc:Depends}
Suggests: python-stactools-doc
Description: ${source:Synopsis} (CLI)
 ${source:Extended-Description}
 .
 This package provides command line tools.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS=\
-k "not test_collection_with_invalid_name \
and not test_valid_item \
and not test_collection_invalid_asset \
and not test_external_pc_data \
and not test_one_datetime \
and not test_fsspec_io \
and not test_external_data_https" \
tests

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd docs && \
	env PYTHONPATH=$(shell pybuild --print build_dir -i python3) \
	http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	sphinx-build -N -E -T -b html . $(CURDIR)/.pybuild/docs/html
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
	sed -i 's%https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4/require.min.js%file:///usr/share/javascript/requirejs/require.min.js%' \
	`find $(CURDIR)/.pybuild/docs/html -type f -name '*.html'`
endif

override_dh_python3:
	dh_python3 -N python-stactools-doc

=== debian/watch ===
version=4
opts=\
pgpmode=none,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|beta|b|alpha|a)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/@PACKAGE@-$1.$2/ \
https://github.com/stac-utils/stactools/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
